
Name:		mitmproxy
Version:	0.18.2
Release:	%mkrel 1
Summary:	An interactive SSL-capable man-in-the-middle HTTP proxy
License:	GPLv3
Group:		Security
URL:		http://mitmproxy.org/
Source0:	https://github.com/mitmproxy/mitmproxy/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		mitmproxy-0.18.2-fix-python3-requirements.patch
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pkgconfig(python3)

Provides:	python-netlib = %{version}-%{release}
Obsoletes:	python-netlib < 0.16-2
Provides:	python3-netlib = %{version}-%{release}
Obsoletes:	python3-netlib < 0.16-2

%description
This package contains the mitmproxy and pathod projects, as well as their
shared networking library, netlib.

mitmproxy is an interactive, SSL-capable intercepting proxy with a console
interface.

mitmdump is the command-line version of mitmproxy. Think tcpdump for HTTP.

pathoc and pathod are perverse HTTP client and server applications designed
to let you craft almost any conceivable HTTP request, including ones that
creatively violate the standards.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files
%doc CHANGELOG CONTRIBUTORS README.rst
%license LICENSE
%{_bindir}/mitmdump
%{_bindir}/mitmproxy
%{_bindir}/mitmweb
%{_bindir}/pathoc
%{_bindir}/pathod
%{python3_sitelib}/mitmproxy/
%{python3_sitelib}/netlib/
%{python3_sitelib}/pathod/
%{python3_sitelib}/mitmproxy-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Dec 02 2016 daviddavid <daviddavid> 0.18.2-1.mga6
+ Revision: 1071759
- new version: 0.18.2
- port to python3

* Fri Dec 02 2016 tmb <tmb> 0.17-6.mga6
+ Revision: 1071642
- rebuild for new python-tornado

* Sun Oct 30 2016 daviddavid <daviddavid> 0.17-5.mga6
+ Revision: 1064186
- relax now version of python-cryptography

* Wed Oct 12 2016 daviddavid <daviddavid> 0.17-4.mga6
+ Revision: 1060570
- relax now version of python-pillow

* Mon Sep 12 2016 daviddavid <daviddavid> 0.17-3.mga6
+ Revision: 1051642
- relax again version of python-requests

* Wed May 04 2016 daviddavid <daviddavid> 0.17-2.mga6
+ Revision: 1009138
- add a patch to relax requires for python-requests

* Sun Apr 10 2016 daviddavid <daviddavid> 0.17-1.mga6
+ Revision: 1000062
- new version: 0.17
- python-netlib is now part of mitmproxy so Obsoletes/Provides it as it should
- update Source URL from github
- update Summary and Description
- remove unneeded hard requires as they are already auto-required

* Tue Jan 19 2016 daviddavid <daviddavid> 0.15-2.mga6
+ Revision: 925724
- use new python macros
- add patch to fix python-tornado setup-dependency

* Tue Dec 22 2015 guillomovitch <guillomovitch> 0.15-1.mga6
+ Revision: 913557
- new version 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-5.mga5
+ Revision: 746210
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10.1-4.mga5
+ Revision: 727321
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-3.mga5
+ Revision: 682535
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Apr 26 2014 dlucio <dlucio> 0.10.1-1.mga5
+ Revision: 618134
- 0.10.1

* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-4.mga4
+ Revision: 542708
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-3.mga4
+ Revision: 497902
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 30 2013 philippem <philippem> 0.9.2-2.mga4
+ Revision: 473301
- add Requires python-lxml

* Fri Aug 30 2013 philippem <philippem> 0.9.2-1.mga4
+ Revision: 473281
- update to 0.9.2

* Fri Aug 30 2013 dlucio <dlucio> 0.9-3.mga4
+ Revision: 473245
- more requires

* Fri Aug 30 2013 dlucio <dlucio> 0.9-2.mga4
+ Revision: 473215
- python-OpenSSL required

* Thu May 23 2013 guillomovitch <guillomovitch> 0.9-1.mga4
+ Revision: 424814
- new version

* Tue Feb 05 2013 guillomovitch <guillomovitch> 0.8.1-1.mga3
+ Revision: 394636
- imported package mitmproxy

